%define upstream_name    Cache-FastMmap
%define upstream_version 1.43

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Uses an mmap'ed file to act as a shared memory interprocess cache
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)

%{?perl_default_filter}
BuildRequires: perl-devel
%description
A shared memory cache through an mmap'ed file. It's core is written in C for
performance. It uses fcntl locking to ensure multiple processes can safely
access the cache at the same time. It uses a basic LRU algorithm to keep the
most used entries in the cache.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%perl_vendorarch/Cache
%perl_vendorarch/auto/Cache
%_mandir/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.430.0-2pclos2017
- rebuild against updates

